GOLF(2gg)

NAME
finish-output - (output)

PURPOSE
Finish the output.

SYNTAX

        finish-output

DESCRIPTION
finish-output will flush out and conclude all output (see output-statement). Any such output afterwards will silently fail to do so. As far as the client is concerned, all the output is complete.

This statement is useful when you need to continue work after the output is complete. For example, if the task performed is a long-running one, you can inform the client that the job has started, and then take any amount of time to actually complete the job, without worrying about client timeouts. The client can inquire about the job status via a different request, or be informed via email etc.

EXAMPLES

        finish-output

SEE ALSO
 Output

finish-output flush-output output-statement print-format print-out print-path See all documentation